Package ru.bitel.bgbilling.modules.inet.common.bean

# Class FlowAgentType

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.FlowAgentType

    public class FlowAgentType
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `TYPE_IPFIX` |
  `static int` | `TYPE_NETFLOW` |
  `static int` | `TYPE_NETFLOW9` |
  `static int` | `TYPE_SFLOW` |
  `static int` | `TYPE_SNMP` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FlowAgentType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `checkSourceType​(int type)` |
  `static int` | `nameToType​(java.lang.String type)` |
  `static java.lang.String` | `typeToName​(int type)` |
  `static java.lang.String` | `typeToTitleString​(int type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_NETFLOW

    public static final int TYPE_NETFLOW
    See Also:
      Constant Field Values

  - ### TYPE_NETFLOW9

    public static final int TYPE_NETFLOW9
    See Also:
      Constant Field Values

  - ### TYPE_SFLOW

    public static final int TYPE_SFLOW
    See Also:
      Constant Field Values

  - ### TYPE_SNMP

    public static final int TYPE_SNMP
    See Also:
      Constant Field Values

  - ### TYPE_IPFIX

    public static final int TYPE_IPFIX
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FlowAgentType

    public FlowAgentType()

- ## Method Details

  - ### nameToType

    public static final int nameToType​(java.lang.String type)

  - ### typeToName

    public static final java.lang.String typeToName​(int type)

  - ### checkSourceType

    public static final boolean checkSourceType​(int type)

  - ### typeToTitleString

    public static final java.lang.String typeToTitleString​(int type)